
TYPO3.Neos - Bug # 30584

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2011-10-05 Assigned To:
Updated: 2011-12-23 Due date:
Subject: setup command should not create account with same identifier twice
Description

Either setup command controller or account model itself should ensure uniqueness of accounts.

Simple to reproduce, just run:

./flow3 setup:createadministrator --identifier admin --password pass

multiple times and check DB contents.

Please comment about which option would be best (setting unique contraint in account model or checking the accountRepository in
command controller), I can take care of the patch.

Related issues:
related to TYPO3.Flow - Bug # 32823: Make combination of Account identifier a... Resolved 2011-12-23

Associated revisions
Revision d5b11a82 - 2011-12-15 22:44 - Rens Admiraal

[TASK] Prevent setup of duplicate admin accounts

Change-Id: I18810dcc5729fcddd63a396b2b719caed1e21113
Resolves: #30584

History
#1 - 2011-10-06 00:36 - Regine Rosewich

If a valueObject would be possible, that would be the best solution. Otherwise a unique constraint would be the simplest solution.

#2 - 2011-11-07 10:17 - Sebastian Kurfuerst
- Assigned To set to Christian Müller

I think setting unique constraint in account model makes perfect sense.

#3 - 2011-11-23 12:50 - Christian Müller
- Assigned To deleted (Christian Müller)

#4 - 2011-12-15 22:45 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7290
#5 - 2011-12-15 22:46 - Rens Admiraal
- Status changed from New to Under Review

#6 - 2011-12-23 16:20 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-03 2/2


